IO::ByteFormat::LittleEndian - Crystal 1.15.1

# module IO::ByteFormat::LittleEndian

##
Extended Modules

- IO::ByteFormat

##
Defined in:

io/byte_format.cr:112
io/byte_format.cr:123

##
Class Method Summary

- .decode(int : Int8.class, io : IO)
- .decode(int : Int8.class, bytes : Bytes)
- .decode(int : UInt8.class, io : IO)
- .decode(int : UInt8.class, bytes : Bytes)
- .decode(int : Int16.class, io : IO)
- .decode(int : Int16.class, bytes : Bytes)
- .decode(int : UInt16.class, io : IO)
- .decode(int : UInt16.class, bytes : Bytes)
- .decode(int : Int32.class, io : IO)
- .decode(int : Int32.class, bytes : Bytes)
- .decode(int : UInt32.class, io : IO)
- .decode(int : UInt32.class, bytes : Bytes)
- .decode(int : Int64.class, io : IO)
- .decode(int : Int64.class, bytes : Bytes)
- .decode(int : UInt64.class, io : IO)
- .decode(int : UInt64.class, bytes : Bytes)
- .decode(int : Int128.class, io : IO)
- .decode(int : Int128.class, bytes : Bytes)
- .decode(int : UInt128.class, io : IO)
- .decode(int : UInt128.class, bytes : Bytes)
- .decode(*, type : Int8.class, io : IO)

  DEPRECATED Use `.decode(int : Int8.class, io : IO)` instead

- .decode(*, type : Int8.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : Int8.class, bytes : Bytes)` instead

- .decode(*, type : UInt8.class, io : IO)

  DEPRECATED Use `.decode(int : UInt8.class, io : IO)` instead

- .decode(*, type : UInt8.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : UInt8.class, bytes : Bytes)` instead

- .decode(*, type : Int16.class, io : IO)

  DEPRECATED Use `.decode(int : Int16.class, io : IO)` instead

- .decode(*, type : Int16.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : Int16.class, bytes : Bytes)` instead

- .decode(*, type : UInt16.class, io : IO)

  DEPRECATED Use `.decode(int : UInt16.class, io : IO)` instead

- .decode(*, type : UInt16.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : UInt16.class, bytes : Bytes)` instead

- .decode(*, type : Int32.class, io : IO)

  DEPRECATED Use `.decode(int : Int32.class, io : IO)` instead

- .decode(*, type : Int32.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : Int32.class, bytes : Bytes)` instead

- .decode(*, type : UInt32.class, io : IO)

  DEPRECATED Use `.decode(int : UInt32.class, io : IO)` instead

- .decode(*, type : UInt32.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : UInt32.class, bytes : Bytes)` instead

- .decode(*, type : Int64.class, io : IO)

  DEPRECATED Use `.decode(int : Int64.class, io : IO)` instead

- .decode(*, type : Int64.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : Int64.class, bytes : Bytes)` instead

- .decode(*, type : UInt64.class, io : IO)

  DEPRECATED Use `.decode(int : UInt64.class, io : IO)` instead

- .decode(*, type : UInt64.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : UInt64.class, bytes : Bytes)` instead

- .decode(*, type : Int128.class, io : IO)

  DEPRECATED Use `.decode(int : Int128.class, io : IO)` instead

- .decode(*, type : Int128.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : Int128.class, bytes : Bytes)` instead

- .decode(*, type : UInt128.class, io : IO)

  DEPRECATED Use `.decode(int : UInt128.class, io : IO)` instead

- .decode(*, type : UInt128.class, bytes : Bytes)

  DEPRECATED Use `.decode(int : UInt128.class, bytes : Bytes)` instead

- .encode(int : Int8, io : IO)
- .encode(int : Int8, bytes : Bytes)
- .encode(int : UInt8, io : IO)
- .encode(int : UInt8, bytes : Bytes)
- .encode(int : Int16, io : IO)
- .encode(int : Int16, bytes : Bytes)
- .encode(int : UInt16, io : IO)
- .encode(int : UInt16, bytes : Bytes)
- .encode(int : Int32, io : IO)
- .encode(int : Int32, bytes : Bytes)
- .encode(int : UInt32, io : IO)
- .encode(int : UInt32, bytes : Bytes)
- .encode(int : Int64, io : IO)
- .encode(int : Int64, bytes : Bytes)
- .encode(int : UInt64, io : IO)
- .encode(int : UInt64, bytes : Bytes)
- .encode(int : Int128, io : IO)
- .encode(int : Int128, bytes : Bytes)
- .encode(int : UInt128, io : IO)
- .encode(int : UInt128, bytes : Bytes)

##
Class Method Detail

def self.decode(int : Int8.class, io : IO) #
def self.decode(int : Int8.class, bytes : Bytes) #
def self.decode(int : UInt8.class, io : IO) #
def self.decode(int : UInt8.class, bytes : Bytes) #
def self.decode(int : Int16.class, io : IO) #
def self.decode(int : Int16.class, bytes : Bytes) #
def self.decode(int : UInt16.class, io : IO) #
def self.decode(int : UInt16.class, bytes : Bytes) #
def self.decode(int : Int32.class, io : IO) #
def self.decode(int : Int32.class, bytes : Bytes) #
def self.decode(int : UInt32.class, io : IO) #
def self.decode(int : UInt32.class, bytes : Bytes) #
def self.decode(int : Int64.class, io : IO) #
def self.decode(int : Int64.class, bytes : Bytes) #
def self.decode(int : UInt64.class, io : IO) #
def self.decode(int : UInt64.class, bytes : Bytes) #
def self.decode(int : Int128.class, io : IO) #
def self.decode(int : Int128.class, bytes : Bytes) #
def self.decode(int : UInt128.class, io : IO) #
def self.decode(int : UInt128.class, bytes : Bytes) #
def self.decode(*, type : Int8.class, io : IO) #

DEPRECATED Use `.decode(int : Int8.class, io : IO)` instead

def self.decode(*, type : Int8.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : Int8.class, bytes : Bytes)` instead

def self.decode(*, type : UInt8.class, io : IO) #

DEPRECATED Use `.decode(int : UInt8.class, io : IO)` instead

def self.decode(*, type : UInt8.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : UInt8.class, bytes : Bytes)` instead

def self.decode(*, type : Int16.class, io : IO) #

DEPRECATED Use `.decode(int : Int16.class, io : IO)` instead

def self.decode(*, type : Int16.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : Int16.class, bytes : Bytes)` instead

def self.decode(*, type : UInt16.class, io : IO) #

DEPRECATED Use `.decode(int : UInt16.class, io : IO)` instead

def self.decode(*, type : UInt16.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : UInt16.class, bytes : Bytes)` instead

def self.decode(*, type : Int32.class, io : IO) #

DEPRECATED Use `.decode(int : Int32.class, io : IO)` instead

def self.decode(*, type : Int32.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : Int32.class, bytes : Bytes)` instead

def self.decode(*, type : UInt32.class, io : IO) #

DEPRECATED Use `.decode(int : UInt32.class, io : IO)` instead

def self.decode(*, type : UInt32.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : UInt32.class, bytes : Bytes)` instead

def self.decode(*, type : Int64.class, io : IO) #

DEPRECATED Use `.decode(int : Int64.class, io : IO)` instead

def self.decode(*, type : Int64.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : Int64.class, bytes : Bytes)` instead

def self.decode(*, type : UInt64.class, io : IO) #

DEPRECATED Use `.decode(int : UInt64.class, io : IO)` instead

def self.decode(*, type : UInt64.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : UInt64.class, bytes : Bytes)` instead

def self.decode(*, type : Int128.class, io : IO) #

DEPRECATED Use `.decode(int : Int128.class, io : IO)` instead

def self.decode(*, type : Int128.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : Int128.class, bytes : Bytes)` instead

def self.decode(*, type : UInt128.class, io : IO) #

DEPRECATED Use `.decode(int : UInt128.class, io : IO)` instead

def self.decode(*, type : UInt128.class, bytes : Bytes) #

DEPRECATED Use `.decode(int : UInt128.class, bytes : Bytes)` instead

def self.encode(int : Int8, io : IO) #
def self.encode(int : Int8, bytes : Bytes) #
def self.encode(int : UInt8, io : IO) #
def self.encode(int : UInt8, bytes : Bytes) #
def self.encode(int : Int16, io : IO) #
def self.encode(int : Int16, bytes : Bytes) #
def self.encode(int : UInt16, io : IO) #
def self.encode(int : UInt16, bytes : Bytes) #
def self.encode(int : Int32, io : IO) #
def self.encode(int : Int32, bytes : Bytes) #
def self.encode(int : UInt32, io : IO) #
def self.encode(int : UInt32, bytes : Bytes) #
def self.encode(int : Int64, io : IO) #
def self.encode(int : Int64, bytes : Bytes) #
def self.encode(int : UInt64, io : IO) #
def self.encode(int : UInt64, bytes : Bytes) #
def self.encode(int : Int128, io : IO) #
def self.encode(int : Int128, bytes : Bytes) #
def self.encode(int : UInt128, io : IO) #
def self.encode(int : UInt128, bytes : Bytes) #